﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Hotline.Share.Dtos.Order
{
    public record ExportExcelDto<TQueryDto>
    {
        /// <summary>
        /// 查询参数
        /// </summary>
        public TQueryDto QueryDto { get; set; }

        /// <summary>
        /// 导出列信息
        /// </summary>
        public List<ColumnInfo> ColumnInfos { get; set; }

        /// <summary>
        /// 是否全量导出
        /// </summary>
        public bool IsExportAll { get; set; }
    }

    public class ColumnInfo
    {
        /// <summary>
        /// 字段名称
        /// </summary>
        public string Prop { get; set; }

        /// <summary>
        /// 表头展示名称
        /// </summary>
        public string Name { get; set; }

        /// <summary>
        /// 排序
        /// </summary>
        public int Sort { get; set; }
    }
}
