﻿using Hotline.Share.Enums.Order;
using SqlSugar;
using System.ComponentModel;
using XF.Domain.Repository;

namespace Hotline.Orders
{
    [Description("工单修改记录")]
    public class OrderModifyingRecords : CreationEntity
    {
        /// <summary>
        /// 工单ID
        /// </summary>
        [SugarColumn(ColumnDescription = "工单ID")]
        public string OrderId { get; set; }

        /// <summary>
        /// 工单编号
        /// </summary>
        [SugarColumn(ColumnDescription = "工单编号")]
        public string OrderNo { get; set; }

        /// <summary>
        /// 省编号
        /// </summary>
        [SugarColumn(ColumnDescription = "省编号")]
        public string ProvinceNo { get; set; }

        /// <summary>
        /// 修改类型
        /// </summary>
        public EUpdateType UpdateOrderType { get; set; }

        /// <summary>
        /// 旧值
        /// </summary>
        public string OldValue { get; set; }

        /// <summary>
        /// 新值
        /// </summary>
        public string NewValue { get; set; }
    }
}
